<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Item;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;
use SimpleXMLIterator;

class VimeoLinkParser implements ItemParser
{

    public const LINK_TYPE = 'x-im/vimeo';

    public function parse(SimpleXMLIterator $element): array
    {
        $item = new Item($element);
        $item->fill([
            'embedId' => $this->createEmbedId($item),
        ]);

        return [$item];
    }

    private function createEmbedId($item): string
    {
        preg_match('/.com\/([^\/\?\#\&\n]*)/', $item->get('url', ''), $match);
       
        return $match[1] ?? '';
    }
}
